Vla-get-imagevisibility

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-imagevisibility vla-object)


機能
イメージ表示のオン/オフを取得する。


引数
  • vla-object … GeomapImage、RasterImage、Wipeout のVLAオブジェクト


戻り値
bool
  • vlax-true : イメージを表示。
  • vlax-false : イメージを非表示。


  • 注意 : 作図セッション中にイメージを表示する必要がない場合は、イメージ表示をオフにすると再描画の速度を向上させることができる。非表示のイメージは、表示&印刷されず、図面の境界だけが表示される。現在のビューポート座標系にかかわらず、イメージを非表示にすることができる。イメージが現在のビューポート座標系に対して直交でない(揃っていない)場合に特に有効。


サンプル
(vl-load-com)
(defun c:Example_ImageVisibility()
    ;; ラスターイメージを挿入して、表示プロパティを切り替えるサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; "2d Projected Polylines.jpg" っていうファイルを使うので、準備しておくこと
    (setq insertionPoint (vlax-3d-point 2 2 0)
          imageName ".\\Sample\\Vlisp\\2d Projected Polylines.jpg"
          scalefactor 1
          rotAngle (/ (* 0 3.141592 180)))
    
    ;; ラスター作成
    (if (/= (findfile imageName) nil)
        (progn
            (setq modelSpace (vla-get-ModelSpace doc))
            (setq raster (vla-AddRaster modelSpace (findfile imageName) insertionPoint scalefactor rotAngle))
    
            ;; 現在の値を取得
            (vla-Regen doc :vlax-true)
            (alert (strcat "現在の ImageVisibility の値 : " (if (= (vla-get-ImageVisibility raster) :vlax-true) "True" "False")))
	    
            ;; 変更
            (if (= (vla-get-ImageVisibility raster) :vlax-true)
                (vla-put-ImageVisibility raster :vlax-false)
                (vla-put-ImageVisibility raster :vlax-true)
            )
            (vla-Regen doc :vlax-true)
            (alert (strcat "ImageVisibility を次に変更 : " (if (= (vla-get-ImageVisibility raster) :vlax-true) "True" "False")))
        )
        (alert (strcat imageName " みつかりません"))
    )
)


関連事項